def make_impulse_signal(ampl, impulse_duration, period, n, filename):
    signal = []
    for k in range(n):
        pos = k % period # чтобы позиция от 0 до 6 всегда прыгала (период 7)
        if pos < impulse_duration:
            signal.append(ampl)
        else:
            signal.append(0)

    # запись столбцом в файл
    with open(filename, 'w') as f:
        for x in signal:
            f.write(str(x) + '\n')

    return signal


s = make_impulse_signal(10, 3, 5, 53, 'signal.txt')

print(s)
